Bug 191886 - [WebRTC][GStreamer] fast/mediastream/MediaStream-video-element-remove-track.html is failing
Summary: [WebRTC][GStreamer] fast/mediastream/MediaStream-video-element-remove-track.h...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Philippe Normand
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-21 07:10 PST by Alicia Boya García
Modified: 2021-06-18 01:29 PDT (History)
13 users (show)

See Also:


Attachments
Patch (4.71 KB, patch)
2021-06-17 07:46 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff
Patch (3.98 KB, patch)
2021-06-17 07:57 PDT, Philippe Normand
calvaris: review+
calvaris: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alicia Boya García 2018-11-21 07:10:10 PST
fast/mediastream/MediaStream-video-element-remove-track.html is failing since r238276-238281

--- /home/slave/webkitgtk/gtk-linux-64-debug-tests/build/layout-test-results/fast/mediastream/MediaStream-video-element-remove-track-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-debug-tests/build/layout-test-results/fast/mediastream/MediaStream-video-element-remove-track-actual.txt
@@ -39,7 +39,7 @@
 PASS video.videoTracks[0].kind is "main"
 
 **** check no audio track ****
-PASS video.audioTracks.length is 0
+FAIL video.audioTracks.length should be 0. Was 1.
 PASS mediaStream.getAudioTracks().length is 0
 PASS successfullyParsed is true
Comment 1 Philippe Normand 2021-06-17 07:46:40 PDT
Created attachment 431662 [details]
Patch
Comment 2 Philippe Normand 2021-06-17 07:57:04 PDT
Created attachment 431664 [details]
Patch
Comment 3 Xabier Rodríguez Calvar 2021-06-17 08:20:30 PDT
Comment on attachment 431664 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=431664&action=review

> Source/WebCore/platform/mediastream/gstreamer/GStreamerMediaStreamSource.cpp:369
> +    auto source = WTFMove(priv->sources[index]);

Please, specify the type here, just in case.
Comment 4 Philippe Normand 2021-06-18 01:03:41 PDT
(In reply to Xabier Rodríguez Calvar from comment #3)
> Comment on attachment 431664 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=431664&action=review
> 
> > Source/WebCore/platform/mediastream/gstreamer/GStreamerMediaStreamSource.cpp:369
> > +    auto source = WTFMove(priv->sources[index]);
> 
> Please, specify the type here, just in case.

In case of?
There is no ambiguity in this case, otherwise the code wouldn't compile. But yeah sure, let's do this just in case :)
Comment 5 Philippe Normand 2021-06-18 01:29:37 PDT
Committed r279033 (238953@main): <https://commits.webkit.org/238953@main>